### Method

# Gtk Gesturegroup

#### Declaration [src]

    void
    gtk_gesture_group (
      GtkGesture* group_gesture,
      GtkGesture* gesture
    )

#### Description [src]

Adds `gesture` to the same group than `group_gesture`.

Gestures are by default isolated in their own groups.

Both gestures must have been added to the same widget before they can be grouped.

When gestures are grouped, the state of `GdkEventSequences` is kept in sync for all of those, so calling `gtk_gesture_set_sequence_state()`, on one will transfer the same value to the others.

Groups also perform an “implicit grabbing” of sequences, if a `GdkEventSequence` state is set to `GTK_EVENT_SEQUENCE_CLAIMED` on one group, every other gesture group attached to the same `GtkWidget` will switch the state for that sequence to `GTK_EVENT_SEQUENCE_DENIED`.

#### Parameters

`gesture`

  Type: `GtkGesture`

  A `GtkGesture`

  The data is owned by the caller of the method.